<?php
/**
 * Created by PhpStorm.
 * User: Desenv-005
 * Date: 19/12/2018
 * Time: 17:37
 */

namespace Schaffen\WarehouseInventory\WarehouseInventory\Services;

use Schaffen\Core\Product\Models\ProductVarietyPack;
use Schaffen\WarehouseInventory\WarehouseInventory\Models\WarehouseInventory;

class UpdateBuyingPriceOnProductVariety
{
   public function atualizarValorCompra()
   {
      $total_custos_indiretos = $this->variety->prv_valor_compra - $this->variety->prv_custo_total;
      $this->variety->prv_valor_compra = $this->item['valor_unitario'];
      $this->variety->prv_custo_total = $this->item['valor_unitario'] + $total_custos_indiretos;
      $this->variety->prv_valor_venda = $this->variety->prv_custo_total * (($this->variety->prv_margem_lucro / 100) + 1);
      $this->variety->save();
   }



}
